=== debian/changelog ===
ros-dashing-realsense2-camera (3.2.1-1bionic) bionic; urgency=high

  * Add build dependency **ros_environment**
  * Contributors: doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 09 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera (3.2.0-1bionic) bionic; urgency=high

  * Added filling correct Tx, Ty values in projection matrix of right camera.
  * Fixed frame_id of right sensor to match left sensor in a stereo pair.pair
  * Contributors: Pavlo Kolomiiets, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera (3.1.6-1bionic) bionic; urgency=high

  * Fix pointcloud message size when no texture is added.
  * migration toggle_sensors feature to ros2
  * Add option for aligning pointcloud to color image.
  * removed option to align to other streams other then color.
  * Contributors: anaelle, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera (3.1.5-1bionic) bionic; urgency=high

  * Support Eloquent and Dashing.
  * Add filter: HDR_merge
  * fix initialization of colorizer image if user specified negative image size (as is in default launch file)
  * Remove the following tests for known playback issue with librealsense2 version 2.43.0: align_depth_color_1, align_depth_ir1_1, align_depth_ir1_decimation_1.
  * Remove wrong dependency
  * changed default image QOS to SYSTEM_DEFAULT
  * Add missing librealsense2 dependency from package.xml
  * fix bug: selection of profile disregarded stream index.
  * Contributors: changseung.yu, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 23 Mar 2021 22:00:00 -0000

ros-dashing-realsense2-camera (3.1.4-1bionic) bionic; urgency=high

  * fix reading json file with device other than D400 series.
  * Publish depth confidence image for supporting devices (L515)
  * Add selecting QoS option
  * Import unit-tests
  * fix timestamp domain issues
    - Add offset to ros_time only if device uses hardware-clock. Otherwise use device time - either system_time or global_time.
    - Warn of a hardware timestamp possible loop.
  * Choose the default profile in case of an invalid request.
  * Avoid aligning confidence image.
  * Add an option for an Ordered PointCloud.
  * Contributors: Gabriel Urbain, Isaac I.Y. Saito, Itamar Eliakim, Marc Alban, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 17 Feb 2021 22:00:00 -0000

ros-dashing-realsense2-camera (3.1.3-1bionic) bionic; urgency=high

  * Publish depth confidence image for supporting devices (L515)
  * fix bug: dynamic tf publisher.
  * fix realsense2_description's dependency to realsense2_camera_msgs
  * remove boost dependency.
  * rename node_namespace to namespace
  * rename node_executable to executable
  * Contributors: doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 27 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-camera (3.1.2-1bionic) bionic; urgency=high

  * upgrade librealsense2 version to 2.40.0
  * Added pointcloud attributes, when RS2_STREAM_ANY is enabled
  * colorize the aligned depth image.
    fix missing parameters description.
  * add infra_rgb option: enable streaming D415's infra stream as RGB.
    Expose stereo extrinsics
    Avoid currently unsupported Z16H depth format.
    Enable launch cmd line params
    Add notification if connected using USB2.1 port.
  * Fix README.md
  * Add launch option: output:=[screen|log]: enable sending logs to ros log file.
  * rename rs.d400_and_t265.launch.py to rs_d400_and_t265_launch.py
    add rs_multi_camera_launch.py on top of rs_launch.py
  * Remove '_' prefix from parameter serial_no. Allow to pass serial_no which is sometimes a string containing only digits.
  * remove redundant nav_msgs dependency (caused build error)
  * remove node package, change msg package name
  * update README.md
  * Contributors: Ryan Shim, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 09 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-camera (3.1.1-1bionic) bionic; urgency=high

  * fix bug: Conversion from milliseconds to nanoseconds.
    enable use of parameter: use_sim_time.
  * various fixes for canonical ROS2
  * Contributors: AustinDeric, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 22 Sep 2020 21:00:00 -0000

ros-dashing-realsense2-camera (3.1.0-1bionic) bionic; urgency=high

  * port support of T265 from ROS1.
  * Contributors: doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 15 Sep 2020 21:00:00 -0000

ros-dashing-realsense2-camera (3.0.0-1bionic) bionic; urgency=high

  * Update README.md
  * Enable recovery from reconnect event.
  * Add an example config file: d435i.yaml.
  * fix launch file installation. Allow running the following command: 'ros2 launch realsense2_camera rs.launch.py'
  * enable set_auto_exposure_roi options.
  * enable sensors and filters dynamic parameters.
  * clean
  * RealSenseNodeFactory inherits from rclcpp::Node
  * Add project: realsense2_node
  * Add support for D455
  * README.md: update installation process.

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 15 Sep 2020 21:00:00 -0000
